{
  "description": "This type represents a grant. It shall comply with the provisions defined in table 7.6.2.3-1.",
  "type": "object",
  "required": [
    "id",
    "nsInstanceId",
    "nsLcmOpOccId",
    "_links"
  ],
  "properties": {
    "id": {
      "description": "Identifier of the grant.",
      "$ref": "../components/SOL011_schemas.yaml#/components/schemas/Identifier"
    },
    "nsInstanceId": {
      "description": "Identifier of the NS instance which this grant request relates to.",
      "$ref": "../components/SOL011_schemas.yaml#/components/schemas/Identifier"
    },
    "nsLcmOpOccId": {
      "description": "Identifier of the NS lifecycle management operation occurrence associated to the GrantRequest.",
      "$ref": "../components/SOL011_schemas.yaml#/components/schemas/Identifier"
    },
    "additionalParams": {
      "description": "Additional parameters passed by NFVO-N, specific to the NS and the lifecycle management operation.",
      "$ref": "../components/SOL011_schemas.yaml#/components/schemas/KeyValuePairs"
    },
    "_links": {
      "description": "Links to resources related to this resource.",
      "type": "object",
      "required": [
        "self",
        "nsLcmOpOcc",
        "nsInstance"
      ],
      "properties": {
        "self": {
          "description": "URI of this resource",
          "$ref": "../components/SOL011_schemas.yaml#/components/schemas/Link"
        },
        "nsLcmOpOcc": {
          "description": "Related NS lifecycle management operation occurrence",
          "$ref": "../components/SOL011_schemas.yaml#/components/schemas/Link"
        },
        "nsInstance": {
          "description": "Related NS instance.",
          "$ref": "../components/SOL011_schemas.yaml#/components/schemas/Link"
        }
      }
    }
  }
}